module.exports = {
  create: {
    requestBody: [
      "name",
      "login_id",
      "password",
      "menu",
      "is_root",
      "openid",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "login_id",
      "password",
      "menu",
      "is_root",
      "openid",
      "status",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "%name%",
        login_id: "login_id",
        openid: "openid",
        is_root: "is_root",
        status: "status",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ["login_id", "password"],
    service: "login",
  },
};
