module.exports = {
  create: {
    requestBody: [
      "type",
      "title",
      "route",
      "pid",
      "disabled",
      "sort",
      "params",
      "remark",
      "icon",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "type",
      "title",
      "route",
      "pid",
      "disabled",
      "sort",
      "params",
      "remark",
      "icon",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        type: "type",
        title: "title",
        route: "route",
        pid: "pid",
        disabled: "disabled",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["sort"],
      desc: true,
      count: true,
    },
  },
  getUserMenu: {
    params: ["!id"],
    service: "getUserMenu",
  },
};
