module.exports = {
  create: {
    requestBody: [
      "_tenant",
      "name",
      "is_use",
      "remark",
      "params",
      "img",
      "menus",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "_tenant",
      "name",
      "is_use",
      "remark",
      "params",
      "img",
      "menus",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        _tenant: "_tenant",
        name: "name",
        is_use: "is_use",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  getTenant: {
    parameters: {
      params: ["!_tenant"],
    },
    service: "getTenant",
  },
};
