'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 会员表
const member = {
  name: { type: String }, // 姓名
  gender: { type: String }, // 性别
  phone: { type: String }, // 联系电话
  money: { type: Number }, // 当前余额
  points: { type: Number }, // 积分
  openid: { type: String }, // 微信id
  remark: { type: String },
};
const schema = new Schema(member, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ name: 1 });
schema.index({ gender: 1 });
schema.index({ phone: 1 });
schema.index({ openid: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Member', schema, 'member');
};
