'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 会员积分记录表
const points_record = {
  openid: { type: String }, // 微信id
  points: { type: Number, default: 0 }, // 积分
  before_points: { type: Number, default: 0 }, // 处理前的积分
  after_points: { type: Number, default: 0 }, // 处理前的积分
  opera: { type: String }, // 操作积分的操作; 0-购买商品(获得积分) 1-兑换折扣(消耗积分) 2-兑换物品(消耗积分)
  opera_target: { type: String }, // 购买商品-订单id, 兑换折扣-订单id,兑换商品-商品id
  remark: { type: String },
};
const schema = new Schema(points_record, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ openid: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Points_record', schema, 'points_record');
};
