'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 会员充值表
const save_record = {
  openid: { type: String }, // 微信id
  money: { type: Number, default: 0 }, // 充值金额
  before_save: { type: Number, default: 0 }, // 充值前金额
  after_save: { type: Number, default: 0 }, // 充值后金额
  wx_order_no: { type: String }, // 微信订单号
  status: { type: String, default: '0' }, // 0-待支付;1完成
  remark: { type: String },
};
const schema = new Schema(save_record, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ openid: 1 });
schema.index({ wx_order_no: 1 });
schema.index({ status: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Save_record', schema, 'save_record');
};
