'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.get('/api/online', controller.chat.online);
  router.post('/api/send', controller.chat.send);
  router.put('/api/install', controller.home.install);
  require('./z_router/system/admin')(app); // 管理员
  require('./z_router/system/weixin')(app); // 微信相关
  require('./z_router/system/tenant')(app); // 站点管理
  require('./z_router/system/menu')(app); // 权限管理
};
