'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');
const jwt = require('jsonwebtoken');

// 管理员
class AdminService extends CrudService {
  constructor(ctx) {
    super(ctx, 'admin');
    this.model = this.ctx.model.System.Admin;
  }

  /**
   * 管理员登陆
   * @param {Object} body
   * @property login_id 登陆用户名
   * @property password 密码
   */
  async login({ login_id, password }) {
    const user = await this.model.findOne({ login_id }, '+password');
    if (!user) { throw new BusinessError(ErrorCode.USER_NOT_EXIST, '管理员不存在'); }
    const { secret } = user.password;
    if (secret !== password) { throw new BusinessError(ErrorCode.BAD_PASSWORD, '密码错误'); }
    const data = _.omit(JSON.parse(JSON.stringify(user)), [
      'meta',
      'passwd',
      '__v',
      'password',
    ]);
    console.log(data);
    const { secret: secrets } = this.config.jwt;
    const token = jwt.sign(data, secrets);
    return token;
  }
}

module.exports = AdminService;
