'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// 站点
class TenantService extends CrudService {
  constructor(ctx) {
    super(ctx, 'tenant');
    this.model = this.ctx.model.System.Tenant;
  }

  /**
   * 获取分站设置
   * @param {Object} params
   * @property _tenant 分站名
   */
  async getTenant({ _tenant }) {
    const res = await this.model.findOne({ _tenant });
    return res;
  }
}

module.exports = TenantService;
